#include <kdialog.h>
#include <klocale.h>

#ifndef UI_ACCESSIBILITYCONFIGWIDGET_H
#define UI_ACCESSIBILITYCONFIGWIDGET_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QRadioButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QTabWidget>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <knuminput.h>
#include "kcolorbutton.h"
#include "kdialog.h"
#include "klineedit.h"
#include "knuminput.h"
#include "kpushbutton.h"
#include "kurlrequester.h"

class Ui_AccessibilityConfigWidget
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *mainTab;
    QWidget *tab;
    QVBoxLayout *vboxLayout1;
    Q3GroupBox *audibleBellGroup;
    QVBoxLayout *vboxLayout2;
    QCheckBox *systemBell;
    QCheckBox *customBell;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QLabel *soundToPlayLabel;
    KUrlRequester *soundToPlay;
    Q3GroupBox *visibleBellGroup;
    QVBoxLayout *vboxLayout3;
    QCheckBox *visibleBell;
    QGridLayout *gridLayout;
    QGridLayout *gridLayout1;
    KIntSpinBox *visibleBellDuration;
    QSlider *visibleBellDurationSlider;
    QLabel *visibleBellDurationLabel;
    QSpacerItem *spacerItem1;
    Q3ButtonGroup *inverFlashScreenButtonGroup;
    QVBoxLayout *vboxLayout4;
    QRadioButton *invertScreen;
    QHBoxLayout *hboxLayout1;
    QRadioButton *flashScreen;
    KColorButton *flashScreenColor;
    QSpacerItem *spacerItem2;
    QSpacerItem *spacerItem3;
    QWidget *tab1;
    QVBoxLayout *vboxLayout5;
    Q3GroupBox *stickyKeysGroup;
    QVBoxLayout *vboxLayout6;
    QCheckBox *stickyKeys;
    QHBoxLayout *hboxLayout2;
    QSpacerItem *spacerItem4;
    QCheckBox *lockWithStickyKeys;
    Q3GroupBox *slowKeysGroup;
    QVBoxLayout *vboxLayout7;
    QCheckBox *slowKeys;
    QGridLayout *gridLayout2;
    KIntSpinBox *slowKeysDelay;
    QSlider *slowKeysDelaySlider;
    QSpacerItem *spacerItem5;
    QLabel *slowKeysDelayLabel;
    Q3GroupBox *bounceKeysGroup;
    QVBoxLayout *vboxLayout8;
    QCheckBox *bounceKeys;
    QGridLayout *gridLayout3;
    QSlider *bounceKeysDelaySlider;
    QSpacerItem *spacerItem6;
    KIntSpinBox *bounceKeysDelay;
    QLabel *bounceKeysDelayLabel;
    QSpacerItem *spacerItem7;
    QWidget *tab2;
    QVBoxLayout *vboxLayout9;
    Q3GroupBox *mouseNavigationGroup;
    QVBoxLayout *vboxLayout10;
    QCheckBox *moveWithKeyboard;
    QGridLayout *gridLayout4;
    KIntSpinBox *accelerationTime;
    QSlider *accelerationTimeSlider;
    QLabel *maximumSpeedLabel;
    QLabel *accelerationTimeLabel;
    QSlider *accelerationDelaySlider;
    KIntSpinBox *maximumSpeed;
    KIntSpinBox *repeatInterval;
    QSpacerItem *spacerItem8;
    QSlider *maximumSpeedSlider;
    QLabel *repeatIntervalLabel;
    KIntSpinBox *accelerationDelay;
    QLabel *accelerationProfileLabel;
    KIntSpinBox *accelerationProfile;
    QSlider *accelerationProfileSlider;
    QSlider *repeatInternalSlider;
    QLabel *accelerationDelayLabel;
    QSpacerItem *spacerItem9;

    void setupUi(QWidget *AccessibilityConfigWidget)
    {
    if (AccessibilityConfigWidget->objectName().isEmpty())
        AccessibilityConfigWidget->setObjectName(QString::fromUtf8("AccessibilityConfigWidget"));
    AccessibilityConfigWidget->resize(552, 419);
    vboxLayout = new QVBoxLayout(AccessibilityConfigWidget);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    mainTab = new QTabWidget(AccessibilityConfigWidget);
    mainTab->setObjectName(QString::fromUtf8("mainTab"));
    tab = new QWidget();
    tab->setObjectName(QString::fromUtf8("tab"));
    vboxLayout1 = new QVBoxLayout(tab);
    vboxLayout1->setSpacing(KDialog::spacingHint());
    vboxLayout1->setMargin(KDialog::marginHint());
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    audibleBellGroup = new Q3GroupBox(tab);
    audibleBellGroup->setObjectName(QString::fromUtf8("audibleBellGroup"));
    audibleBellGroup->setColumnLayout(0, Qt::Vertical);
    audibleBellGroup->layout()->setSpacing(KDialog::spacingHint());
    audibleBellGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout2 = new QVBoxLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(audibleBellGroup->layout());
    if (boxlayout)
        boxlayout->addLayout(vboxLayout2);
    vboxLayout2->setAlignment(Qt::AlignTop);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    systemBell = new QCheckBox(audibleBellGroup);
    systemBell->setObjectName(QString::fromUtf8("systemBell"));

    vboxLayout2->addWidget(systemBell);

    customBell = new QCheckBox(audibleBellGroup);
    customBell->setObjectName(QString::fromUtf8("customBell"));

    vboxLayout2->addWidget(customBell);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    soundToPlayLabel = new QLabel(audibleBellGroup);
    soundToPlayLabel->setObjectName(QString::fromUtf8("soundToPlayLabel"));
    soundToPlayLabel->setEnabled(false);
    soundToPlayLabel->setWordWrap(false);

    hboxLayout->addWidget(soundToPlayLabel);

    soundToPlay = new KUrlRequester(audibleBellGroup);
    soundToPlay->setObjectName(QString::fromUtf8("soundToPlay"));
    soundToPlay->setEnabled(false);

    hboxLayout->addWidget(soundToPlay);


    vboxLayout2->addLayout(hboxLayout);


    vboxLayout1->addWidget(audibleBellGroup);

    visibleBellGroup = new Q3GroupBox(tab);
    visibleBellGroup->setObjectName(QString::fromUtf8("visibleBellGroup"));
    visibleBellGroup->setColumnLayout(0, Qt::Vertical);
    visibleBellGroup->layout()->setSpacing(KDialog::spacingHint());
    visibleBellGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout3 = new QVBoxLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(visibleBellGroup->layout());
    if (boxlayout1)
        boxlayout1->addLayout(vboxLayout3);
    vboxLayout3->setAlignment(Qt::AlignTop);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    visibleBell = new QCheckBox(visibleBellGroup);
    visibleBell->setObjectName(QString::fromUtf8("visibleBell"));

    vboxLayout3->addWidget(visibleBell);

    gridLayout = new QGridLayout();
    gridLayout->setSpacing(KDialog::spacingHint());
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout1 = new QGridLayout();
    gridLayout1->setSpacing(KDialog::spacingHint());
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    visibleBellDuration = new KIntSpinBox(visibleBellGroup);
    visibleBellDuration->setObjectName(QString::fromUtf8("visibleBellDuration"));
    visibleBellDuration->setEnabled(false);
    visibleBellDuration->setMaximum(2000);
    visibleBellDuration->setMinimum(100);
    visibleBellDuration->setSingleStep(100);
    visibleBellDuration->setValue(500);

    gridLayout1->addWidget(visibleBellDuration, 1, 0, 1, 1);

    visibleBellDurationSlider = new QSlider(visibleBellGroup);
    visibleBellDurationSlider->setObjectName(QString::fromUtf8("visibleBellDurationSlider"));
    visibleBellDurationSlider->setEnabled(false);
    visibleBellDurationSlider->setMinimum(100);
    visibleBellDurationSlider->setMaximum(2000);
    visibleBellDurationSlider->setSingleStep(100);
    visibleBellDurationSlider->setPageStep(100);
    visibleBellDurationSlider->setValue(500);
    visibleBellDurationSlider->setOrientation(Qt::Horizontal);

    gridLayout1->addWidget(visibleBellDurationSlider, 1, 1, 1, 1);

    visibleBellDurationLabel = new QLabel(visibleBellGroup);
    visibleBellDurationLabel->setObjectName(QString::fromUtf8("visibleBellDurationLabel"));
    visibleBellDurationLabel->setEnabled(false);
    visibleBellDurationLabel->setWordWrap(false);

    gridLayout1->addWidget(visibleBellDurationLabel, 0, 0, 1, 1);


    gridLayout->addLayout(gridLayout1, 1, 1, 1, 1);

    spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem1, 0, 0, 1, 1);

    inverFlashScreenButtonGroup = new Q3ButtonGroup(visibleBellGroup);
    inverFlashScreenButtonGroup->setObjectName(QString::fromUtf8("inverFlashScreenButtonGroup"));
    inverFlashScreenButtonGroup->setFlat(true);
    inverFlashScreenButtonGroup->setColumnLayout(0, Qt::Vertical);
    inverFlashScreenButtonGroup->layout()->setSpacing(KDialog::spacingHint());
    inverFlashScreenButtonGroup->layout()->setMargin(0);
    vboxLayout4 = new QVBoxLayout();
    QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(inverFlashScreenButtonGroup->layout());
    if (boxlayout2)
        boxlayout2->addLayout(vboxLayout4);
    vboxLayout4->setAlignment(Qt::AlignTop);
    vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
    invertScreen = new QRadioButton(inverFlashScreenButtonGroup);
    invertScreen->setObjectName(QString::fromUtf8("invertScreen"));
    invertScreen->setEnabled(false);
    invertScreen->setChecked(true);

    vboxLayout4->addWidget(invertScreen);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(KDialog::spacingHint());
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    flashScreen = new QRadioButton(inverFlashScreenButtonGroup);
    flashScreen->setObjectName(QString::fromUtf8("flashScreen"));
    flashScreen->setEnabled(false);

    hboxLayout1->addWidget(flashScreen);

    flashScreenColor = new KColorButton(inverFlashScreenButtonGroup);
    flashScreenColor->setObjectName(QString::fromUtf8("flashScreenColor"));
    flashScreenColor->setEnabled(false);
    flashScreenColor->setColor(QColor(255, 0, 0));

    hboxLayout1->addWidget(flashScreenColor);

    spacerItem2 = new QSpacerItem(0, 15, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem2);


    vboxLayout4->addLayout(hboxLayout1);


    gridLayout->addWidget(inverFlashScreenButtonGroup, 0, 1, 1, 1);


    vboxLayout3->addLayout(gridLayout);


    vboxLayout1->addWidget(visibleBellGroup);

    spacerItem3 = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout1->addItem(spacerItem3);

    mainTab->addTab(tab, QString());
    tab1 = new QWidget();
    tab1->setObjectName(QString::fromUtf8("tab1"));
    vboxLayout5 = new QVBoxLayout(tab1);
    vboxLayout5->setSpacing(KDialog::spacingHint());
    vboxLayout5->setMargin(KDialog::marginHint());
    vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
    stickyKeysGroup = new Q3GroupBox(tab1);
    stickyKeysGroup->setObjectName(QString::fromUtf8("stickyKeysGroup"));
    stickyKeysGroup->setColumnLayout(0, Qt::Vertical);
    stickyKeysGroup->layout()->setSpacing(KDialog::spacingHint());
    stickyKeysGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout6 = new QVBoxLayout();
    QBoxLayout *boxlayout3 = qobject_cast<QBoxLayout *>(stickyKeysGroup->layout());
    if (boxlayout3)
        boxlayout3->addLayout(vboxLayout6);
    vboxLayout6->setAlignment(Qt::AlignTop);
    vboxLayout6->setObjectName(QString::fromUtf8("vboxLayout6"));
    stickyKeys = new QCheckBox(stickyKeysGroup);
    stickyKeys->setObjectName(QString::fromUtf8("stickyKeys"));

    vboxLayout6->addWidget(stickyKeys);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(KDialog::spacingHint());
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    spacerItem4 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem4);

    lockWithStickyKeys = new QCheckBox(stickyKeysGroup);
    lockWithStickyKeys->setObjectName(QString::fromUtf8("lockWithStickyKeys"));
    lockWithStickyKeys->setEnabled(false);
    lockWithStickyKeys->setChecked(true);

    hboxLayout2->addWidget(lockWithStickyKeys);


    vboxLayout6->addLayout(hboxLayout2);


    vboxLayout5->addWidget(stickyKeysGroup);

    slowKeysGroup = new Q3GroupBox(tab1);
    slowKeysGroup->setObjectName(QString::fromUtf8("slowKeysGroup"));
    slowKeysGroup->setColumnLayout(0, Qt::Vertical);
    slowKeysGroup->layout()->setSpacing(KDialog::spacingHint());
    slowKeysGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout7 = new QVBoxLayout();
    QBoxLayout *boxlayout4 = qobject_cast<QBoxLayout *>(slowKeysGroup->layout());
    if (boxlayout4)
        boxlayout4->addLayout(vboxLayout7);
    vboxLayout7->setAlignment(Qt::AlignTop);
    vboxLayout7->setObjectName(QString::fromUtf8("vboxLayout7"));
    slowKeys = new QCheckBox(slowKeysGroup);
    slowKeys->setObjectName(QString::fromUtf8("slowKeys"));

    vboxLayout7->addWidget(slowKeys);

    gridLayout2 = new QGridLayout();
    gridLayout2->setSpacing(KDialog::spacingHint());
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    slowKeysDelay = new KIntSpinBox(slowKeysGroup);
    slowKeysDelay->setObjectName(QString::fromUtf8("slowKeysDelay"));
    slowKeysDelay->setEnabled(false);
    slowKeysDelay->setMaximum(2000);
    slowKeysDelay->setMinimum(100);
    slowKeysDelay->setSingleStep(100);
    slowKeysDelay->setValue(500);

    gridLayout2->addWidget(slowKeysDelay, 1, 1, 1, 1);

    slowKeysDelaySlider = new QSlider(slowKeysGroup);
    slowKeysDelaySlider->setObjectName(QString::fromUtf8("slowKeysDelaySlider"));
    slowKeysDelaySlider->setEnabled(false);
    slowKeysDelaySlider->setMinimum(100);
    slowKeysDelaySlider->setMaximum(2000);
    slowKeysDelaySlider->setSingleStep(100);
    slowKeysDelaySlider->setPageStep(100);
    slowKeysDelaySlider->setValue(500);
    slowKeysDelaySlider->setOrientation(Qt::Horizontal);

    gridLayout2->addWidget(slowKeysDelaySlider, 1, 2, 1, 1);

    spacerItem5 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout2->addItem(spacerItem5, 0, 0, 1, 1);

    slowKeysDelayLabel = new QLabel(slowKeysGroup);
    slowKeysDelayLabel->setObjectName(QString::fromUtf8("slowKeysDelayLabel"));
    slowKeysDelayLabel->setEnabled(false);
    slowKeysDelayLabel->setWordWrap(false);

    gridLayout2->addWidget(slowKeysDelayLabel, 0, 1, 1, 1);


    vboxLayout7->addLayout(gridLayout2);


    vboxLayout5->addWidget(slowKeysGroup);

    bounceKeysGroup = new Q3GroupBox(tab1);
    bounceKeysGroup->setObjectName(QString::fromUtf8("bounceKeysGroup"));
    bounceKeysGroup->setColumnLayout(0, Qt::Vertical);
    bounceKeysGroup->layout()->setSpacing(KDialog::spacingHint());
    bounceKeysGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout8 = new QVBoxLayout();
    QBoxLayout *boxlayout5 = qobject_cast<QBoxLayout *>(bounceKeysGroup->layout());
    if (boxlayout5)
        boxlayout5->addLayout(vboxLayout8);
    vboxLayout8->setAlignment(Qt::AlignTop);
    vboxLayout8->setObjectName(QString::fromUtf8("vboxLayout8"));
    bounceKeys = new QCheckBox(bounceKeysGroup);
    bounceKeys->setObjectName(QString::fromUtf8("bounceKeys"));

    vboxLayout8->addWidget(bounceKeys);

    gridLayout3 = new QGridLayout();
    gridLayout3->setSpacing(KDialog::spacingHint());
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    bounceKeysDelaySlider = new QSlider(bounceKeysGroup);
    bounceKeysDelaySlider->setObjectName(QString::fromUtf8("bounceKeysDelaySlider"));
    bounceKeysDelaySlider->setEnabled(false);
    bounceKeysDelaySlider->setMinimum(100);
    bounceKeysDelaySlider->setMaximum(2000);
    bounceKeysDelaySlider->setSingleStep(100);
    bounceKeysDelaySlider->setPageStep(100);
    bounceKeysDelaySlider->setValue(500);
    bounceKeysDelaySlider->setOrientation(Qt::Horizontal);

    gridLayout3->addWidget(bounceKeysDelaySlider, 1, 2, 1, 1);

    spacerItem6 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout3->addItem(spacerItem6, 0, 0, 1, 1);

    bounceKeysDelay = new KIntSpinBox(bounceKeysGroup);
    bounceKeysDelay->setObjectName(QString::fromUtf8("bounceKeysDelay"));
    bounceKeysDelay->setEnabled(false);
    bounceKeysDelay->setMaximum(2000);
    bounceKeysDelay->setMinimum(100);
    bounceKeysDelay->setSingleStep(100);
    bounceKeysDelay->setValue(500);

    gridLayout3->addWidget(bounceKeysDelay, 1, 1, 1, 1);

    bounceKeysDelayLabel = new QLabel(bounceKeysGroup);
    bounceKeysDelayLabel->setObjectName(QString::fromUtf8("bounceKeysDelayLabel"));
    bounceKeysDelayLabel->setEnabled(false);
    bounceKeysDelayLabel->setWordWrap(false);

    gridLayout3->addWidget(bounceKeysDelayLabel, 0, 1, 1, 1);


    vboxLayout8->addLayout(gridLayout3);


    vboxLayout5->addWidget(bounceKeysGroup);

    spacerItem7 = new QSpacerItem(21, 61, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout5->addItem(spacerItem7);

    mainTab->addTab(tab1, QString());
    tab2 = new QWidget();
    tab2->setObjectName(QString::fromUtf8("tab2"));
    vboxLayout9 = new QVBoxLayout(tab2);
    vboxLayout9->setSpacing(KDialog::spacingHint());
    vboxLayout9->setMargin(KDialog::marginHint());
    vboxLayout9->setObjectName(QString::fromUtf8("vboxLayout9"));
    mouseNavigationGroup = new Q3GroupBox(tab2);
    mouseNavigationGroup->setObjectName(QString::fromUtf8("mouseNavigationGroup"));
    mouseNavigationGroup->setColumnLayout(0, Qt::Vertical);
    mouseNavigationGroup->layout()->setSpacing(KDialog::spacingHint());
    mouseNavigationGroup->layout()->setMargin(KDialog::marginHint());
    vboxLayout10 = new QVBoxLayout();
    QBoxLayout *boxlayout6 = qobject_cast<QBoxLayout *>(mouseNavigationGroup->layout());
    if (boxlayout6)
        boxlayout6->addLayout(vboxLayout10);
    vboxLayout10->setAlignment(Qt::AlignTop);
    vboxLayout10->setObjectName(QString::fromUtf8("vboxLayout10"));
    moveWithKeyboard = new QCheckBox(mouseNavigationGroup);
    moveWithKeyboard->setObjectName(QString::fromUtf8("moveWithKeyboard"));

    vboxLayout10->addWidget(moveWithKeyboard);

    gridLayout4 = new QGridLayout();
    gridLayout4->setSpacing(KDialog::spacingHint());
    gridLayout4->setObjectName(QString::fromUtf8("gridLayout4"));
    accelerationTime = new KIntSpinBox(mouseNavigationGroup);
    accelerationTime->setObjectName(QString::fromUtf8("accelerationTime"));
    accelerationTime->setEnabled(false);
    accelerationTime->setMaximum(5000);
    accelerationTime->setMinimum(1);
    accelerationTime->setSingleStep(250);
    accelerationTime->setValue(1000);

    gridLayout4->addWidget(accelerationTime, 2, 2, 1, 1);

    accelerationTimeSlider = new QSlider(mouseNavigationGroup);
    accelerationTimeSlider->setObjectName(QString::fromUtf8("accelerationTimeSlider"));
    accelerationTimeSlider->setEnabled(false);
    accelerationTimeSlider->setMinimum(1);
    accelerationTimeSlider->setMaximum(5000);
    accelerationTimeSlider->setSingleStep(250);
    accelerationTimeSlider->setPageStep(2500);
    accelerationTimeSlider->setValue(1000);
    accelerationTimeSlider->setOrientation(Qt::Horizontal);

    gridLayout4->addWidget(accelerationTimeSlider, 2, 3, 1, 1);

    maximumSpeedLabel = new QLabel(mouseNavigationGroup);
    maximumSpeedLabel->setObjectName(QString::fromUtf8("maximumSpeedLabel"));
    maximumSpeedLabel->setEnabled(false);
    maximumSpeedLabel->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    maximumSpeedLabel->setWordWrap(false);

    gridLayout4->addWidget(maximumSpeedLabel, 3, 1, 1, 1);

    accelerationTimeLabel = new QLabel(mouseNavigationGroup);
    accelerationTimeLabel->setObjectName(QString::fromUtf8("accelerationTimeLabel"));
    accelerationTimeLabel->setEnabled(false);
    accelerationTimeLabel->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    accelerationTimeLabel->setWordWrap(false);

    gridLayout4->addWidget(accelerationTimeLabel, 2, 1, 1, 1);

    accelerationDelaySlider = new QSlider(mouseNavigationGroup);
    accelerationDelaySlider->setObjectName(QString::fromUtf8("accelerationDelaySlider"));
    accelerationDelaySlider->setEnabled(false);
    accelerationDelaySlider->setMinimum(1);
    accelerationDelaySlider->setMaximum(1000);
    accelerationDelaySlider->setSingleStep(50);
    accelerationDelaySlider->setPageStep(500);
    accelerationDelaySlider->setValue(160);
    accelerationDelaySlider->setOrientation(Qt::Horizontal);

    gridLayout4->addWidget(accelerationDelaySlider, 0, 3, 1, 1);

    maximumSpeed = new KIntSpinBox(mouseNavigationGroup);
    maximumSpeed->setObjectName(QString::fromUtf8("maximumSpeed"));
    maximumSpeed->setEnabled(false);
    maximumSpeed->setMaximum(1000);
    maximumSpeed->setMinimum(1);
    maximumSpeed->setSingleStep(10);
    maximumSpeed->setValue(500);

    gridLayout4->addWidget(maximumSpeed, 3, 2, 1, 1);

    repeatInterval = new KIntSpinBox(mouseNavigationGroup);
    repeatInterval->setObjectName(QString::fromUtf8("repeatInterval"));
    repeatInterval->setEnabled(false);
    repeatInterval->setMaximum(1000);
    repeatInterval->setMinimum(1);
    repeatInterval->setSingleStep(10);
    repeatInterval->setValue(5);

    gridLayout4->addWidget(repeatInterval, 1, 2, 1, 1);

    spacerItem8 = new QSpacerItem(20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout4->addItem(spacerItem8, 0, 0, 1, 1);

    maximumSpeedSlider = new QSlider(mouseNavigationGroup);
    maximumSpeedSlider->setObjectName(QString::fromUtf8("maximumSpeedSlider"));
    maximumSpeedSlider->setEnabled(false);
    maximumSpeedSlider->setMinimum(1);
    maximumSpeedSlider->setMaximum(1000);
    maximumSpeedSlider->setSingleStep(10);
    maximumSpeedSlider->setPageStep(100);
    maximumSpeedSlider->setValue(500);
    maximumSpeedSlider->setOrientation(Qt::Horizontal);
    maximumSpeedSlider->setTickInterval(50);

    gridLayout4->addWidget(maximumSpeedSlider, 3, 3, 1, 1);

    repeatIntervalLabel = new QLabel(mouseNavigationGroup);
    repeatIntervalLabel->setObjectName(QString::fromUtf8("repeatIntervalLabel"));
    repeatIntervalLabel->setEnabled(false);
    repeatIntervalLabel->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    repeatIntervalLabel->setWordWrap(false);

    gridLayout4->addWidget(repeatIntervalLabel, 1, 1, 1, 1);

    accelerationDelay = new KIntSpinBox(mouseNavigationGroup);
    accelerationDelay->setObjectName(QString::fromUtf8("accelerationDelay"));
    accelerationDelay->setEnabled(false);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(accelerationDelay->sizePolicy().hasHeightForWidth());
    accelerationDelay->setSizePolicy(sizePolicy);
    accelerationDelay->setMaximum(1000);
    accelerationDelay->setMinimum(1);
    accelerationDelay->setSingleStep(50);
    accelerationDelay->setValue(160);

    gridLayout4->addWidget(accelerationDelay, 0, 2, 1, 1);

    accelerationProfileLabel = new QLabel(mouseNavigationGroup);
    accelerationProfileLabel->setObjectName(QString::fromUtf8("accelerationProfileLabel"));
    accelerationProfileLabel->setEnabled(false);
    accelerationProfileLabel->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    accelerationProfileLabel->setWordWrap(false);

    gridLayout4->addWidget(accelerationProfileLabel, 4, 1, 1, 1);

    accelerationProfile = new KIntSpinBox(mouseNavigationGroup);
    accelerationProfile->setObjectName(QString::fromUtf8("accelerationProfile"));
    accelerationProfile->setEnabled(false);
    accelerationProfile->setMaximum(1000);
    accelerationProfile->setMinimum(-1000);
    accelerationProfile->setSingleStep(100);

    gridLayout4->addWidget(accelerationProfile, 4, 2, 1, 1);

    accelerationProfileSlider = new QSlider(mouseNavigationGroup);
    accelerationProfileSlider->setObjectName(QString::fromUtf8("accelerationProfileSlider"));
    accelerationProfileSlider->setEnabled(false);
    accelerationProfileSlider->setMinimum(-1000);
    accelerationProfileSlider->setMaximum(1000);
    accelerationProfileSlider->setSingleStep(100);
    accelerationProfileSlider->setPageStep(1000);
    accelerationProfileSlider->setOrientation(Qt::Horizontal);
    accelerationProfileSlider->setTickInterval(100);

    gridLayout4->addWidget(accelerationProfileSlider, 4, 3, 1, 1);

    repeatInternalSlider = new QSlider(mouseNavigationGroup);
    repeatInternalSlider->setObjectName(QString::fromUtf8("repeatInternalSlider"));
    repeatInternalSlider->setEnabled(false);
    repeatInternalSlider->setMinimum(1);
    repeatInternalSlider->setMaximum(1000);
    repeatInternalSlider->setSingleStep(10);
    repeatInternalSlider->setPageStep(100);
    repeatInternalSlider->setValue(5);
    repeatInternalSlider->setOrientation(Qt::Horizontal);
    repeatInternalSlider->setTickInterval(50);

    gridLayout4->addWidget(repeatInternalSlider, 1, 3, 1, 1);

    accelerationDelayLabel = new QLabel(mouseNavigationGroup);
    accelerationDelayLabel->setObjectName(QString::fromUtf8("accelerationDelayLabel"));
    accelerationDelayLabel->setEnabled(false);
    accelerationDelayLabel->setAlignment(Qt::AlignVCenter|Qt::AlignRight);
    accelerationDelayLabel->setWordWrap(false);

    gridLayout4->addWidget(accelerationDelayLabel, 0, 1, 1, 1);


    vboxLayout10->addLayout(gridLayout4);


    vboxLayout9->addWidget(mouseNavigationGroup);

    spacerItem9 = new QSpacerItem(20, 1, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout9->addItem(spacerItem9);

    mainTab->addTab(tab2, QString());

    vboxLayout->addWidget(mainTab);

    soundToPlayLabel->setBuddy(soundToPlay);
    visibleBellDurationLabel->setBuddy(visibleBellDuration);
    slowKeysDelayLabel->setBuddy(slowKeysDelay);
    bounceKeysDelayLabel->setBuddy(bounceKeysDelay);
    maximumSpeedLabel->setBuddy(maximumSpeed);
    accelerationTimeLabel->setBuddy(accelerationTime);
    repeatIntervalLabel->setBuddy(repeatInterval);
    accelerationProfileLabel->setBuddy(accelerationProfile);
    accelerationDelayLabel->setBuddy(accelerationDelay);
    QWidget::setTabOrder(mainTab, systemBell);
    QWidget::setTabOrder(systemBell, customBell);
    QWidget::setTabOrder(customBell, soundToPlay);
    QWidget::setTabOrder(soundToPlay, visibleBell);
    QWidget::setTabOrder(visibleBell, invertScreen);
    QWidget::setTabOrder(invertScreen, flashScreen);
    QWidget::setTabOrder(flashScreen, flashScreenColor);
    QWidget::setTabOrder(flashScreenColor, visibleBellDuration);
    QWidget::setTabOrder(visibleBellDuration, visibleBellDurationSlider);
    QWidget::setTabOrder(visibleBellDurationSlider, stickyKeys);
    QWidget::setTabOrder(stickyKeys, lockWithStickyKeys);
    QWidget::setTabOrder(lockWithStickyKeys, slowKeys);
    QWidget::setTabOrder(slowKeys, slowKeysDelay);
    QWidget::setTabOrder(slowKeysDelay, slowKeysDelaySlider);
    QWidget::setTabOrder(slowKeysDelaySlider, bounceKeys);
    QWidget::setTabOrder(bounceKeys, bounceKeysDelay);
    QWidget::setTabOrder(bounceKeysDelay, bounceKeysDelaySlider);
    QWidget::setTabOrder(bounceKeysDelaySlider, moveWithKeyboard);
    QWidget::setTabOrder(moveWithKeyboard, accelerationDelay);
    QWidget::setTabOrder(accelerationDelay, accelerationDelaySlider);
    QWidget::setTabOrder(accelerationDelaySlider, repeatInterval);
    QWidget::setTabOrder(repeatInterval, repeatInternalSlider);
    QWidget::setTabOrder(repeatInternalSlider, accelerationTime);
    QWidget::setTabOrder(accelerationTime, accelerationTimeSlider);
    QWidget::setTabOrder(accelerationTimeSlider, maximumSpeed);
    QWidget::setTabOrder(maximumSpeed, maximumSpeedSlider);
    QWidget::setTabOrder(maximumSpeedSlider, accelerationProfile);
    QWidget::setTabOrder(accelerationProfile, accelerationProfileSlider);

    retranslateUi(AccessibilityConfigWidget);
    QObject::connect(customBell, SIGNAL(toggled(bool)), soundToPlay, SLOT(setEnabled(bool)));
    QObject::connect(customBell, SIGNAL(toggled(bool)), soundToPlayLabel, SLOT(setEnabled(bool)));
    QObject::connect(visibleBellDuration, SIGNAL(valueChanged(int)), visibleBellDurationSlider, SLOT(setValue(int)));
    QObject::connect(visibleBellDurationSlider, SIGNAL(valueChanged(int)), visibleBellDuration, SLOT(setValue(int)));
    QObject::connect(slowKeysDelay, SIGNAL(valueChanged(int)), slowKeysDelaySlider, SLOT(setValue(int)));
    QObject::connect(slowKeysDelaySlider, SIGNAL(valueChanged(int)), slowKeysDelay, SLOT(setValue(int)));
    QObject::connect(bounceKeysDelay, SIGNAL(valueChanged(int)), bounceKeysDelaySlider, SLOT(setValue(int)));
    QObject::connect(bounceKeysDelaySlider, SIGNAL(valueChanged(int)), bounceKeysDelay, SLOT(setValue(int)));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), invertScreen, SLOT(setEnabled(bool)));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), flashScreen, SLOT(setEnabled(bool)));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(updateFlashScreenColor()));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), visibleBellDuration, SLOT(setEnabled(bool)));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), visibleBellDurationLabel, SLOT(setEnabled(bool)));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), visibleBellDurationSlider, SLOT(setEnabled(bool)));
    QObject::connect(flashScreen, SIGNAL(toggled(bool)), flashScreenColor, SLOT(setEnabled(bool)));
    QObject::connect(stickyKeys, SIGNAL(toggled(bool)), lockWithStickyKeys, SLOT(setEnabled(bool)));
    QObject::connect(slowKeys, SIGNAL(toggled(bool)), slowKeysDelayLabel, SLOT(setEnabled(bool)));
    QObject::connect(slowKeys, SIGNAL(toggled(bool)), slowKeysDelay, SLOT(setEnabled(bool)));
    QObject::connect(slowKeys, SIGNAL(toggled(bool)), slowKeysDelaySlider, SLOT(setEnabled(bool)));
    QObject::connect(bounceKeys, SIGNAL(toggled(bool)), bounceKeysDelayLabel, SLOT(setEnabled(bool)));
    QObject::connect(bounceKeys, SIGNAL(toggled(bool)), bounceKeysDelay, SLOT(setEnabled(bool)));
    QObject::connect(bounceKeys, SIGNAL(toggled(bool)), bounceKeysDelaySlider, SLOT(setEnabled(bool)));
    QObject::connect(accelerationDelay, SIGNAL(valueChanged(int)), accelerationDelaySlider, SLOT(setValue(int)));
    QObject::connect(accelerationDelaySlider, SIGNAL(valueChanged(int)), accelerationDelay, SLOT(setValue(int)));
    QObject::connect(repeatInterval, SIGNAL(valueChanged(int)), repeatInternalSlider, SLOT(setValue(int)));
    QObject::connect(repeatInternalSlider, SIGNAL(valueChanged(int)), repeatInterval, SLOT(setValue(int)));
    QObject::connect(accelerationTime, SIGNAL(valueChanged(int)), accelerationTimeSlider, SLOT(setValue(int)));
    QObject::connect(accelerationTimeSlider, SIGNAL(valueChanged(int)), accelerationTime, SLOT(setValue(int)));
    QObject::connect(maximumSpeed, SIGNAL(valueChanged(int)), maximumSpeedSlider, SLOT(setValue(int)));
    QObject::connect(maximumSpeedSlider, SIGNAL(valueChanged(int)), maximumSpeed, SLOT(setValue(int)));
    QObject::connect(accelerationProfile, SIGNAL(valueChanged(int)), accelerationProfileSlider, SLOT(setValue(int)));
    QObject::connect(accelerationProfileSlider, SIGNAL(valueChanged(int)), accelerationProfile, SLOT(setValue(int)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationDelayLabel, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationDelay, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationDelaySlider, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), repeatIntervalLabel, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), repeatInterval, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), repeatInternalSlider, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationTimeLabel, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationTime, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationTimeSlider, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), maximumSpeedLabel, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), maximumSpeed, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), maximumSpeedSlider, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationProfileLabel, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationProfile, SLOT(setEnabled(bool)));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), accelerationProfileSlider, SLOT(setEnabled(bool)));
    QObject::connect(systemBell, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(customBell, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(soundToPlay, SIGNAL(textChanged(QString)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(visibleBell, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(invertScreen, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(flashScreen, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(flashScreenColor, SIGNAL(changed(QColor)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(visibleBellDuration, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(visibleBellDurationSlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(stickyKeys, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(lockWithStickyKeys, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(slowKeys, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(slowKeysDelay, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(slowKeysDelaySlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(bounceKeys, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(bounceKeysDelay, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(bounceKeysDelaySlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(moveWithKeyboard, SIGNAL(toggled(bool)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationDelay, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationDelaySlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(repeatInterval, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(repeatInternalSlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationTime, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationTimeSlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(maximumSpeed, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(maximumSpeedSlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationProfile, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));
    QObject::connect(accelerationProfileSlider, SIGNAL(valueChanged(int)), AccessibilityConfigWidget, SLOT(changed()));

    QMetaObject::connectSlotsByName(AccessibilityConfigWidget);
    } // setupUi

    void retranslateUi(QWidget *AccessibilityConfigWidget)
    {
    audibleBellGroup->setTitle(tr2i18n("&Audible Bell", 0));
    audibleBellGroup->setProperty("whatsThis", QVariant(tr2i18n("This is the configuration of the Audible Bell.<br>\n"
"It could be the system bell and/or a custom bell.", 0)));
    systemBell->setText(tr2i18n("Use &system bell", 0));
    systemBell->setProperty("whatsThis", QVariant(tr2i18n("If this option is checked, the default system bell will be used. See the \"System Bell\" control module for how to customize the system bell.<br>\n"
"Normally, this is just a \"beep\".", 0)));
    customBell->setText(tr2i18n("Use &customized bell", 0));
    customBell->setProperty("whatsThis", QVariant(tr2i18n("Check this option if you want to use a customized bell, playing a sound file. If you do this, you will probably want to turn off the system bell.<br>\n"
"Please note that on slow machines this may cause a \"lag\" between the event causing the bell and the sound being played.", 0)));
    soundToPlayLabel->setText(tr2i18n("Sound &to play:", 0));
    soundToPlayLabel->setProperty("whatsThis", QVariant(tr2i18n("If the option \"Use customized bell\" is enabled, you can choose a sound file here.", 0)));
    visibleBellGroup->setTitle(tr2i18n("&Visible Bell", 0));
    visibleBell->setText(tr2i18n("&Use visible bell", 0));
    visibleBellDuration->setSuffix(tr2i18n(" msec", 0));
    visibleBellDurationLabel->setText(tr2i18n("&Duration:", 0));
    inverFlashScreenButtonGroup->setTitle(QString());
    invertScreen->setText(tr2i18n("I&nvert screen", 0));
    flashScreen->setText(tr2i18n("F&lash screen:", 0));
    flashScreenColor->setText(QString());
    mainTab->setTabText(mainTab->indexOf(tab), tr2i18n("&Bell", 0));
    stickyKeysGroup->setTitle(tr2i18n("S&ticky Keys", 0));
    stickyKeys->setText(tr2i18n("Use &sticky keys", 0));
    lockWithStickyKeys->setText(tr2i18n("&Lock with sticky keys", 0));
    slowKeysGroup->setTitle(tr2i18n("Slo&w Keys", 0));
    slowKeys->setText(tr2i18n("&Use slow keys", 0));
    slowKeysDelay->setSuffix(tr2i18n(" msec", 0));
    slowKeysDelayLabel->setText(tr2i18n("&Duration:", 0));
    bounceKeysGroup->setTitle(tr2i18n("&Bounce Keys", 0));
    bounceKeys->setText(tr2i18n("Use bou&nce keys", 0));
    bounceKeysDelay->setSuffix(tr2i18n(" msec", 0));
    bounceKeysDelayLabel->setText(tr2i18n("Du&ration:", 0));
    mainTab->setTabText(mainTab->indexOf(tab1), tr2i18n("&Keyboard", 0));
    mouseNavigationGroup->setTitle(tr2i18n("&Navigation", 0));
    moveWithKeyboard->setText(tr2i18n("Mo&ve mouse with keyboard", 0));
    maximumSpeedLabel->setText(tr2i18n("Ma&ximum speed:", 0));
    accelerationTimeLabel->setText(tr2i18n("Acceleration &time:", 0));
    repeatInterval->setSuffix(tr2i18n(" msec", 0));
    repeatIntervalLabel->setText(tr2i18n("&Repeat interval:", 0));
    accelerationDelay->setSuffix(tr2i18n(" msec", 0));
    accelerationProfileLabel->setText(tr2i18n("Acceleration &profile:", 0));
    accelerationDelayLabel->setText(tr2i18n("&Acceleration delay:", 0));
    mainTab->setTabText(mainTab->indexOf(tab2), tr2i18n("&Mouse", 0));
    Q_UNUSED(AccessibilityConfigWidget);
    } // retranslateUi

};

namespace Ui {
    class AccessibilityConfigWidget: public Ui_AccessibilityConfigWidget {};
} // namespace Ui

class AccessibilityConfigWidget : public QWidget, public Ui::AccessibilityConfigWidget
{
    Q_OBJECT

public:
    AccessibilityConfigWidget(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~AccessibilityConfigWidget();

protected slots:
    virtual void languageChange();

    virtual void changed();


private slots:
    void updateFlashScreenColor();

};

#endif // ACCESSIBILITYCONFIGWIDGET_H

