#include <kdialog.h>
#include <klocale.h>

#ifndef UI_BGDIALOG_UI_H
#define UI_BGDIALOG_UI_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcolorbutton.h>
#include <kcombobox.h>
#include "kcolorbutton.h"
#include "kcombobox.h"

class Ui_BGDialog_UI
{
public:
    QGridLayout *gridLayout;
    QLabel *m_pDesktopLabel;
    KComboBox *m_comboDesktop;
    KComboBox *m_comboScreen;
    QSpacerItem *spacerItem;
    QVBoxLayout *vboxLayout;
    QWidget *m_screenArrangement;
    QVBoxLayout *vboxLayout1;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem1;
    QPushButton *m_buttonIdentifyScreens;
    QSpacerItem *spacerItem2;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem3;
    QPushButton *m_buttonAdvanced;
    QSpacerItem *spacerItem4;
    QHBoxLayout *hboxLayout2;
    QSpacerItem *spacerItem5;
    QPushButton *m_buttonGetNew;
    QSpacerItem *spacerItem6;
    QSpacerItem *spacerItem7;
    Q3GroupBox *groupBox3;
    QGridLayout *gridLayout1;
    QLabel *m_lblWallpaperPos;
    QComboBox *m_comboBlend;
    QHBoxLayout *hboxLayout3;
    KColorButton *m_colorPrimary;
    KColorButton *m_colorSecondary;
    QLabel *m_lblColors;
    QLabel *m_lblBlending;
    QHBoxLayout *hboxLayout4;
    QLabel *m_lblBlendBalance;
    QSlider *m_sliderBlend;
    QCheckBox *m_cbBlendReverse;
    QComboBox *m_comboPattern;
    QSpacerItem *spacerItem8;
    QSpacerItem *spacerItem9;
    QComboBox *m_comboWallpaperPos;
    Q3ButtonGroup *m_buttonGroupBackground;
    QGridLayout *gridLayout2;
    QRadioButton *m_radioNoPicture;
    QRadioButton *m_radioSlideShow;
    QRadioButton *m_radioPicture;
    QSpacerItem *spacerItem10;
    QPushButton *m_buttonSetupWallpapers;
    QSpacerItem *spacerItem11;
    QPushButton *m_urlWallpaperButton;
    KComboBox *m_urlWallpaperBox;

    void setupUi(QWidget *BGDialog_UI)
    {
    if (BGDialog_UI->objectName().isEmpty())
        BGDialog_UI->setObjectName(QString::fromUtf8("BGDialog_UI"));
    BGDialog_UI->resize(603, 433);
    gridLayout = new QGridLayout(BGDialog_UI);
    gridLayout->setSpacing(KDialog::spacingHint());
    gridLayout->setMargin(1);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    m_pDesktopLabel = new QLabel(BGDialog_UI);
    m_pDesktopLabel->setObjectName(QString::fromUtf8("m_pDesktopLabel"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(m_pDesktopLabel->sizePolicy().hasHeightForWidth());
    m_pDesktopLabel->setSizePolicy(sizePolicy);
    m_pDesktopLabel->setWordWrap(false);

    gridLayout->addWidget(m_pDesktopLabel, 0, 0, 1, 1);

    m_comboDesktop = new KComboBox(BGDialog_UI);
    m_comboDesktop->setObjectName(QString::fromUtf8("m_comboDesktop"));
    m_comboDesktop->setEnabled(true);
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(m_comboDesktop->sizePolicy().hasHeightForWidth());
    m_comboDesktop->setSizePolicy(sizePolicy1);

    gridLayout->addWidget(m_comboDesktop, 0, 1, 1, 1);

    m_comboScreen = new KComboBox(BGDialog_UI);
    m_comboScreen->setObjectName(QString::fromUtf8("m_comboScreen"));
    m_comboScreen->setEnabled(true);
    sizePolicy1.setHeightForWidth(m_comboScreen->sizePolicy().hasHeightForWidth());
    m_comboScreen->setSizePolicy(sizePolicy1);

    gridLayout->addWidget(m_comboScreen, 0, 2, 1, 1);

    spacerItem = new QSpacerItem(0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 0, 3, 1, 2);

    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    m_screenArrangement = new QWidget(BGDialog_UI);
    m_screenArrangement->setObjectName(QString::fromUtf8("m_screenArrangement"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(1));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(m_screenArrangement->sizePolicy().hasHeightForWidth());
    m_screenArrangement->setSizePolicy(sizePolicy2);
    m_screenArrangement->setMinimumSize(QSize(100, 0));

    vboxLayout->addWidget(m_screenArrangement);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(KDialog::spacingHint());
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem1 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem1);

    m_buttonIdentifyScreens = new QPushButton(BGDialog_UI);
    m_buttonIdentifyScreens->setObjectName(QString::fromUtf8("m_buttonIdentifyScreens"));
    sizePolicy1.setHeightForWidth(m_buttonIdentifyScreens->sizePolicy().hasHeightForWidth());
    m_buttonIdentifyScreens->setSizePolicy(sizePolicy1);

    hboxLayout->addWidget(m_buttonIdentifyScreens);

    spacerItem2 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem2);


    vboxLayout1->addLayout(hboxLayout);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(KDialog::spacingHint());
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem3 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem3);

    m_buttonAdvanced = new QPushButton(BGDialog_UI);
    m_buttonAdvanced->setObjectName(QString::fromUtf8("m_buttonAdvanced"));
    sizePolicy1.setHeightForWidth(m_buttonAdvanced->sizePolicy().hasHeightForWidth());
    m_buttonAdvanced->setSizePolicy(sizePolicy1);

    hboxLayout1->addWidget(m_buttonAdvanced);

    spacerItem4 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem4);


    vboxLayout1->addLayout(hboxLayout1);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(KDialog::spacingHint());
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    spacerItem5 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem5);

    m_buttonGetNew = new QPushButton(BGDialog_UI);
    m_buttonGetNew->setObjectName(QString::fromUtf8("m_buttonGetNew"));
    sizePolicy1.setHeightForWidth(m_buttonGetNew->sizePolicy().hasHeightForWidth());
    m_buttonGetNew->setSizePolicy(sizePolicy1);

    hboxLayout2->addWidget(m_buttonGetNew);

    spacerItem6 = new QSpacerItem(4, 20, QSizePolicy::Minimum, QSizePolicy::Minimum);

    hboxLayout2->addItem(spacerItem6);


    vboxLayout1->addLayout(hboxLayout2);


    vboxLayout->addLayout(vboxLayout1);

    spacerItem7 = new QSpacerItem(20, 0, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem7);


    gridLayout->addLayout(vboxLayout, 1, 4, 2, 1);

    groupBox3 = new Q3GroupBox(BGDialog_UI);
    groupBox3->setObjectName(QString::fromUtf8("groupBox3"));
    groupBox3->setColumnLayout(0, Qt::Vertical);
    groupBox3->layout()->setSpacing(KDialog::spacingHint());
    groupBox3->layout()->setMargin(KDialog::marginHint());
    gridLayout1 = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox3->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout1);
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    m_lblWallpaperPos = new QLabel(groupBox3);
    m_lblWallpaperPos->setObjectName(QString::fromUtf8("m_lblWallpaperPos"));
    m_lblWallpaperPos->setWordWrap(false);

    gridLayout1->addWidget(m_lblWallpaperPos, 0, 0, 1, 1);

    m_comboBlend = new QComboBox(groupBox3);
    m_comboBlend->setObjectName(QString::fromUtf8("m_comboBlend"));

    gridLayout1->addWidget(m_comboBlend, 5, 1, 1, 1);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(KDialog::spacingHint());
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    m_colorPrimary = new KColorButton(groupBox3);
    m_colorPrimary->setObjectName(QString::fromUtf8("m_colorPrimary"));

    hboxLayout3->addWidget(m_colorPrimary);

    m_colorSecondary = new KColorButton(groupBox3);
    m_colorSecondary->setObjectName(QString::fromUtf8("m_colorSecondary"));

    hboxLayout3->addWidget(m_colorSecondary);


    gridLayout1->addLayout(hboxLayout3, 3, 1, 1, 1);

    m_lblColors = new QLabel(groupBox3);
    m_lblColors->setObjectName(QString::fromUtf8("m_lblColors"));
    m_lblColors->setWordWrap(false);

    gridLayout1->addWidget(m_lblColors, 2, 0, 1, 1);

    m_lblBlending = new QLabel(groupBox3);
    m_lblBlending->setObjectName(QString::fromUtf8("m_lblBlending"));
    m_lblBlending->setWordWrap(false);

    gridLayout1->addWidget(m_lblBlending, 5, 0, 1, 1);

    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(KDialog::spacingHint());
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    m_lblBlendBalance = new QLabel(groupBox3);
    m_lblBlendBalance->setObjectName(QString::fromUtf8("m_lblBlendBalance"));
    m_lblBlendBalance->setWordWrap(false);

    hboxLayout4->addWidget(m_lblBlendBalance);

    m_sliderBlend = new QSlider(groupBox3);
    m_sliderBlend->setObjectName(QString::fromUtf8("m_sliderBlend"));
    m_sliderBlend->setMinimum(-20);
    m_sliderBlend->setMaximum(20);
    m_sliderBlend->setPageStep(1);
    m_sliderBlend->setOrientation(Qt::Horizontal);
    m_sliderBlend->setTickInterval(10);

    hboxLayout4->addWidget(m_sliderBlend);


    gridLayout1->addLayout(hboxLayout4, 6, 1, 1, 1);

    m_cbBlendReverse = new QCheckBox(groupBox3);
    m_cbBlendReverse->setObjectName(QString::fromUtf8("m_cbBlendReverse"));

    gridLayout1->addWidget(m_cbBlendReverse, 7, 1, 1, 1);

    m_comboPattern = new QComboBox(groupBox3);
    m_comboPattern->setObjectName(QString::fromUtf8("m_comboPattern"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy3.setHorizontalStretch(1);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(m_comboPattern->sizePolicy().hasHeightForWidth());
    m_comboPattern->setSizePolicy(sizePolicy3);

    gridLayout1->addWidget(m_comboPattern, 2, 1, 1, 1);

    spacerItem8 = new QSpacerItem(120, 10, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout1->addItem(spacerItem8, 1, 1, 1, 1);

    spacerItem9 = new QSpacerItem(130, 10, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout1->addItem(spacerItem9, 4, 1, 1, 1);

    m_comboWallpaperPos = new QComboBox(groupBox3);
    m_comboWallpaperPos->setObjectName(QString::fromUtf8("m_comboWallpaperPos"));

    gridLayout1->addWidget(m_comboWallpaperPos, 0, 1, 1, 1);


    gridLayout->addWidget(groupBox3, 2, 0, 1, 4);

    m_buttonGroupBackground = new Q3ButtonGroup(BGDialog_UI);
    m_buttonGroupBackground->setObjectName(QString::fromUtf8("m_buttonGroupBackground"));
    m_buttonGroupBackground->setColumnLayout(0, Qt::Vertical);
    m_buttonGroupBackground->layout()->setSpacing(KDialog::spacingHint());
    m_buttonGroupBackground->layout()->setMargin(KDialog::marginHint());
    gridLayout2 = new QGridLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(m_buttonGroupBackground->layout());
    if (boxlayout1)
        boxlayout1->addLayout(gridLayout2);
    gridLayout2->setAlignment(Qt::AlignTop);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    m_radioNoPicture = new QRadioButton(m_buttonGroupBackground);
    m_radioNoPicture->setObjectName(QString::fromUtf8("m_radioNoPicture"));

    gridLayout2->addWidget(m_radioNoPicture, 0, 0, 1, 1);

    m_radioSlideShow = new QRadioButton(m_buttonGroupBackground);
    m_radioSlideShow->setObjectName(QString::fromUtf8("m_radioSlideShow"));

    gridLayout2->addWidget(m_radioSlideShow, 2, 0, 1, 1);

    m_radioPicture = new QRadioButton(m_buttonGroupBackground);
    m_radioPicture->setObjectName(QString::fromUtf8("m_radioPicture"));
    m_radioPicture->setChecked(true);

    gridLayout2->addWidget(m_radioPicture, 1, 0, 1, 1);

    spacerItem10 = new QSpacerItem(260, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout2->addItem(spacerItem10, 0, 1, 1, 3);

    m_buttonSetupWallpapers = new QPushButton(m_buttonGroupBackground);
    m_buttonSetupWallpapers->setObjectName(QString::fromUtf8("m_buttonSetupWallpapers"));

    gridLayout2->addWidget(m_buttonSetupWallpapers, 2, 1, 1, 1);

    spacerItem11 = new QSpacerItem(110, 16, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout2->addItem(spacerItem11, 2, 2, 1, 2);

    m_urlWallpaperButton = new QPushButton(m_buttonGroupBackground);
    m_urlWallpaperButton->setObjectName(QString::fromUtf8("m_urlWallpaperButton"));
    sizePolicy1.setHeightForWidth(m_urlWallpaperButton->sizePolicy().hasHeightForWidth());
    m_urlWallpaperButton->setSizePolicy(sizePolicy1);

    gridLayout2->addWidget(m_urlWallpaperButton, 1, 3, 1, 1);

    m_urlWallpaperBox = new KComboBox(m_buttonGroupBackground);
    m_urlWallpaperBox->setObjectName(QString::fromUtf8("m_urlWallpaperBox"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(m_urlWallpaperBox->sizePolicy().hasHeightForWidth());
    m_urlWallpaperBox->setSizePolicy(sizePolicy4);

    gridLayout2->addWidget(m_urlWallpaperBox, 1, 1, 1, 2);


    gridLayout->addWidget(m_buttonGroupBackground, 1, 0, 1, 4);

    m_pDesktopLabel->setBuddy(m_comboDesktop);
    m_lblWallpaperPos->setBuddy(m_comboWallpaperPos);
    m_lblColors->setBuddy(m_comboPattern);
    m_lblBlending->setBuddy(m_comboBlend);
    m_lblBlendBalance->setBuddy(m_sliderBlend);
    QWidget::setTabOrder(m_comboScreen, m_comboDesktop);
    QWidget::setTabOrder(m_comboDesktop, m_radioPicture);
    QWidget::setTabOrder(m_radioPicture, m_urlWallpaperBox);
    QWidget::setTabOrder(m_urlWallpaperBox, m_urlWallpaperButton);
    QWidget::setTabOrder(m_urlWallpaperButton, m_buttonSetupWallpapers);
    QWidget::setTabOrder(m_buttonSetupWallpapers, m_comboWallpaperPos);
    QWidget::setTabOrder(m_comboWallpaperPos, m_comboPattern);
    QWidget::setTabOrder(m_comboPattern, m_colorPrimary);
    QWidget::setTabOrder(m_colorPrimary, m_colorSecondary);
    QWidget::setTabOrder(m_colorSecondary, m_comboBlend);
    QWidget::setTabOrder(m_comboBlend, m_sliderBlend);
    QWidget::setTabOrder(m_sliderBlend, m_cbBlendReverse);
    QWidget::setTabOrder(m_cbBlendReverse, m_buttonAdvanced);

    retranslateUi(BGDialog_UI);
    QObject::connect(m_buttonGroupBackground, SIGNAL(toggled(bool)), groupBox3, SLOT(setEnabled(bool)));

    QMetaObject::connectSlotsByName(BGDialog_UI);
    } // setupUi

    void retranslateUi(QWidget *BGDialog_UI)
    {
    m_pDesktopLabel->setText(tr2i18n("Setting for &desktop:", 0));
    m_pDesktopLabel->setProperty("whatsThis", QVariant(tr2i18n("Choose the desktop you wish to configure the background for from this list. If you want the same background settings to be applied to all desktops select the \"All Desktops\" option.", 0)));
    m_comboDesktop->clear();
    m_comboDesktop->insertItems(0, QStringList()
     << tr2i18n("All Desktops", 0)
    );
    m_comboDesktop->setProperty("whatsThis", QVariant(tr2i18n("Choose the desktop you wish to configure the background for from this list. If you want the same background settings to be applied to all desktops select the \"All Desktops\" option.", 0)));
    m_comboScreen->clear();
    m_comboScreen->insertItems(0, QStringList()
     << tr2i18n("Across All Screens", 0)
     << tr2i18n("On Each Screen", 0)
    );
    m_comboScreen->setProperty("whatsThis", QVariant(tr2i18n("Choose the screen you wish to configure the background for from this list.", 0)));
    m_buttonIdentifyScreens->setText(tr2i18n("Identify Screens", 0));
    m_buttonIdentifyScreens->setProperty("whatsThis", QVariant(tr2i18n("Click this button to show the identifying number for each screen.", 0)));
    m_buttonAdvanced->setText(tr2i18n("Advanced Options", 0));
    m_buttonAdvanced->setProperty("whatsThis", QVariant(tr2i18n("Click this button to set the icon text colors and shadow, set up a program to run for the background picture or control the size of the background cache.", 0)));
    m_buttonGetNew->setText(tr2i18n("Get New Wallpapers", 0));
    m_buttonGetNew->setProperty("whatsThis", QVariant(tr2i18n("Click this button to give you a list of new wallpapers to download from the Internet.", 0)));
    groupBox3->setTitle(tr2i18n("Options", 0));
    m_lblWallpaperPos->setText(tr2i18n("Posi&tion:", 0));
    m_lblWallpaperPos->setProperty("whatsThis", QVariant(tr2i18n("<qt>You can choose here how a background picture is shown on the desktop:\n"
"<ul>\n"
"<li><em>Centered:</em> Center the picture on the desktop.</li>\n"
" <li><em>Tiled:</em> Tile the picture beginning at the top left of the desktop, so the desktop is totally covered up.</li>\n"
"<li><em>Center Tiled:</em> Center the picture on the desktop and then tile around it so that the background is totally covered up.</li>\n"
"<li><em>Centered Maxpect:</em> Magnify the picture without distorting it until it fills either the width or height of the desktop, and then center it on the desktop.</li>\n"
"<li><em>Scaled:</em> Magnify the picture, until the entire desktop is covered. This may result in some distortion of the picture.</li>\n"
"<li><em>Centered Auto Fit:</em> If the picture fits the desktop this mode works like the Centered option. If the picture is larger than the desktop it is scaled down to fit while keeping the aspect ratio.</li>\n"
"<li><em>Scale and Crop:</em> Magnify the picture without distorting it until"
        " it fills both the width and height of the desktop (cropping the picture if necessary), and then center it on the desktop.</li>\n"
"</ul></qt>", 0)));
    m_comboBlend->setProperty("whatsThis", QVariant(tr2i18n("If you have selected to use a background picture you can choose various methods of blending the background colors with the picture. The default option of \"No Blending\" means that the picture simply obscures the background colors below.", 0)));
    m_colorPrimary->setText(QString());
    m_colorPrimary->setProperty("whatsThis", QVariant(tr2i18n("Click to choose the primary background color.", 0)));
    m_colorSecondary->setText(QString());
    m_colorSecondary->setProperty("whatsThis", QVariant(tr2i18n("Click to choose the secondary background color. If no secondary color is required by the pattern selected this button will be disabled.", 0)));
    m_lblColors->setText(tr2i18n("Co&lors:", 0));
    m_lblBlending->setText(tr2i18n("&Blending:", 0));
    m_lblBlendBalance->setText(tr2i18n("Balance:", 0));
    m_lblBlendBalance->setProperty("whatsThis", QVariant(tr2i18n("You can use this slider to control the degree of blending. You can experiment by moving the slider and looking at the effects in the preview image.", 0)));
    m_sliderBlend->setProperty("whatsThis", QVariant(tr2i18n("You can use this slider to control the degree of blending. You can experiment by moving the slider and looking at the effects in the preview image.", 0)));
    m_cbBlendReverse->setText(tr2i18n("Reverse roles", 0));
    m_cbBlendReverse->setProperty("whatsThis", QVariant(tr2i18n("For some types of blending, you can reverse the role of the background and the picture by checking this option.", 0)));
    m_comboWallpaperPos->setProperty("toolTip", QVariant(QString()));
    m_comboWallpaperPos->setProperty("whatsThis", QVariant(tr2i18n("<qt>You can choose here how a background picture is shown on the desktop:\n"
"<ul>\n"
"<li><em>Centered:</em> Center the picture on the desktop.</li>\n"
" <li><em>Tiled:</em> Tile the picture beginning at the top left of the desktop, so the desktop is totally covered up.</li>\n"
"<li><em>Center Tiled:</em> Center the picture on the desktop and then tile around it so that the background is totally covered up.</li>\n"
"<li><em>Centered Maxpect:</em> Magnify the picture without distorting it until it fills either the width or height of the desktop, and then center it on the desktop.</li>\n"
"<li><em>Scaled:</em> Magnify the picture, until the entire desktop is covered. This may result in some distortion of the picture.</li>\n"
"<li><em>Centered Auto Fit:</em> If the picture fits the desktop this mode works like the Centered option. If the picture is larger than the desktop it is scaled down to fit while keeping the aspect ratio.</li>\n"
"<li><em>Scale and Crop:</em> Magnify the picture without distorting it until"
        " it fills both the width and height of the desktop (cropping the picture if necessary), and then center it on the desktop.</li>\n"
"</ul></qt>", 0)));
    m_buttonGroupBackground->setTitle(tr2i18n("Background", 0));
    m_radioNoPicture->setText(tr2i18n("&No picture", 0));
    m_radioNoPicture->setProperty("toolTip", QVariant(tr2i18n("No picture, color only", 0)));
    m_radioSlideShow->setText(tr2i18n("&Slide show:", 0));
    m_radioPicture->setText(tr2i18n("&Picture:", 0));
    m_buttonSetupWallpapers->setText(tr2i18n("Set&up...", 0));
    m_buttonSetupWallpapers->setProperty("whatsThis", QVariant(tr2i18n("Click this button to select a set of images to be used as background pictures. One picture at a time will be shown for a specified amount of time, after which another image from the set will be shown. Images can be shown at random or in the order you specify them.", 0)));
    m_urlWallpaperButton->setText(QString());
    Q_UNUSED(BGDialog_UI);
    } // retranslateUi

};

namespace Ui {
    class BGDialog_UI: public Ui_BGDialog_UI {};
} // namespace Ui

class BGDialog_UI : public QWidget, public Ui::BGDialog_UI
{
    Q_OBJECT

public:
    BGDialog_UI(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~BGDialog_UI();

protected slots:
    virtual void languageChange();

};

#endif // BGDIALOG_UI_H

