#include <kdialog.h>
#include <klocale.h>

#ifndef UI_MENUENTRY_WIDGET_UI_H
#define UI_MENUENTRY_WIDGET_UI_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kdialog.h>

namespace KHotKeys {

class Ui_Menuentry_widget_ui
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *menuentry_label;
    QHBoxLayout *hboxLayout;
    QLineEdit *menuentry_lineedit;
    QPushButton *browse_button;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *Menuentry_widget_ui)
    {
    if (Menuentry_widget_ui->objectName().isEmpty())
        Menuentry_widget_ui->setObjectName(QString::fromUtf8("Menuentry_widget_ui"));
    Menuentry_widget_ui->resize(580, 480);
    vboxLayout = new QVBoxLayout(Menuentry_widget_ui);
    vboxLayout->setSpacing(KDialog::spacingHint());
    vboxLayout->setMargin(KDialog::marginHint());
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    menuentry_label = new QLabel(Menuentry_widget_ui);
    menuentry_label->setObjectName(QString::fromUtf8("menuentry_label"));
    menuentry_label->setWordWrap(false);

    vboxLayout->addWidget(menuentry_label);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(KDialog::spacingHint());
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    menuentry_lineedit = new QLineEdit(Menuentry_widget_ui);
    menuentry_lineedit->setObjectName(QString::fromUtf8("menuentry_lineedit"));

    hboxLayout->addWidget(menuentry_lineedit);

    browse_button = new QPushButton(Menuentry_widget_ui);
    browse_button->setObjectName(QString::fromUtf8("browse_button"));

    hboxLayout->addWidget(browse_button);


    vboxLayout->addLayout(hboxLayout);

    spacerItem = new QSpacerItem(0, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    vboxLayout->addItem(spacerItem);


    retranslateUi(Menuentry_widget_ui);
    QObject::connect(browse_button, SIGNAL(clicked()), Menuentry_widget_ui, SLOT(browse_pressed()));

    QMetaObject::connectSlotsByName(Menuentry_widget_ui);
    } // setupUi

    void retranslateUi(QWidget *Menuentry_widget_ui)
    {
    menuentry_label->setText(tr2i18n("Menu entry to execute:", 0));
    browse_button->setText(tr2i18n("&Browse...", 0));
    Q_UNUSED(Menuentry_widget_ui);
    } // retranslateUi

};

} // namespace KHotKeys

namespace KHotKeys {
namespace Ui {
    class Menuentry_widget_ui: public Ui_Menuentry_widget_ui {};
} // namespace Ui
} // namespace KHotKeys

namespace KHotKeys {
class Menuentry_widget_ui : public QWidget, public Ui::Menuentry_widget_ui
{
    Q_OBJECT

public:
    Menuentry_widget_ui(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~Menuentry_widget_ui();

protected slots:
    virtual void languageChange();

    virtual void browse_pressed() = 0;


};
}

#endif // MENUENTRY_WIDGET_UI_H

